
using System;
using System.Web;
using System.Web.UI;
using EasyBuildSQL;

namespace webSample1
{


	public partial class Default : System.Web.UI.Page
	{

		
        public void btnConnectClick(object sender, EventArgs args)
        {
            // Define the ConnectionCredentials
			Global.Credentials = new ConnectionCredentials(txtUsername.Text, txtPassword.Text, txtDatabase.Text, txtServer.Text, cboDBType.Text);
			
			//Create the ebConnection
            ebConnection Connect = new ebConnection(Global.Credentials);

			
   			//try to connect
            if (Connect.Open())
            {
                txtStatus.Text = "Connected";
                btnOpenSP.Enabled = true;
				btnExecSP.Enabled = true;
				btnReadRecordSP.Enabled = true;
                btnSPBLOBParam.Enabled = true;
                btnInsertSQL.Enabled = true;
                btnUpdateSQL.Enabled = true;
                btnOpenQuery.Enabled = true;
                btnExecuteBatch.Enabled = true;
            }
            else
            {
                txtStatus.Text = "No Connected: error = " + Connect.ConnectionError;
                btnOpenSP.Enabled = false;
		btnExecSP.Enabled = false;
		btnReadRecordSP.Enabled = false;
                btnSPBLOBParam.Enabled = false;
                btnInsertSQL.Enabled = false;
                btnUpdateSQL.Enabled = false;
                btnOpenQuery.Enabled = false;
                btnExecuteBatch.Enabled = false;
            }
        }
		
        protected void btnOpenSP_Click(object sender, EventArgs e)
        {
            OpenInNewWindow("frmOpenSP.aspx");
            
        }

        private void OpenInNewWindow(string frmName)
        {
            string WOScript = "<script>window.open('" +
                                  frmName +
                                  "')</script>";

            if (!ClientScript.IsStartupScriptRegistered("WindowOpen"))
            {
                ClientScript.RegisterStartupScript(this.GetType() , "WindowOpen", WOScript);
            }
        }
		
        protected void btnExecSP_Click(object sender, EventArgs e)
        {
            OpenInNewWindow("frmExecSP.aspx");
        }

        protected void btnReadRecordSP_Click(object sender, EventArgs e)
        {
            OpenInNewWindow("frmReadRecordFromSP.aspx");
        }

        protected void btnSPBLOBParam_Click(object sender, EventArgs e)
        {
            OpenInNewWindow("frmSPWithParamBLOB.aspx");
        }

        protected void btnInsertSQL_Click(object sender, EventArgs e)
        {
            OpenInNewWindow("frmInsertSQL.aspx");
        }

        protected void btnUpdateSQL_Click(object sender, EventArgs e)
        {
            OpenInNewWindow("frmUpdateSQL.aspx");
        }

        protected void btnOpenQuery_Click(object sender, EventArgs e)
        {
            OpenInNewWindow("frmOpenQuery.aspx");
        }

        protected void btnExecuteBatch_Click(object sender, EventArgs e)
        {
            OpenInNewWindow("frmExecuteBatchSQL.aspx");
        }
		
	}
}
